<?php

define("APP_VERSION", "0.1-pre");

require_once __DIR__."/../vendor/autoload.php";
require_once __DIR__."/systemtest.php";
if (file_exists(__DIR__."/banner.php"))
    require_once __DIR__."/banner.php";

use NoccyLabs\Hotfix\Hotfix\AliasManager;
use NoccyLabs\Hotfix\Service\ServiceManager;
use NoccyLabs\Hotfix\Service;
use NoccyLabs\Hotfix\HotfixApplication;

// Register services
ServiceManager::registerService(new Service\IxService());

// Register aliases
$paths = [
    getenv("HOME")."/.hotfix.conf",
    "/etc/hotfix.conf"
];
foreach ($paths as $path) {
    if (file_exists($path)) {
        AliasManager::registerFromConfig($path);
        break;
    }
}

// Start the application
$app = new HotfixApplication();
$app->run();
